vcli_rsyslog
=======

#### Table of Contents

1. [Overview - What is the vcli_rsyslog module?](#overview)
2. [Module Description - What does the module do?](#module-description)
3. [Setup - The basics of getting started with vcli_rsyslog](#setup)

Overview
--------

The vcli_rsyslog module will set up required components to send some Puppet Enterprise logs to vCenter Log Insight.

Module Description
------------------

This module is a wrapper to the module saz/rsyslog that defines a set of imifile entries to be used by rsyslog.  These entries are the logs that Puppet Enterprise is not currently sending to via a syslog facility and instead directly to file.

Setup
-----

**What the vcli_rsyslog module affects:**

* rsyslog, a syslog service

### Installing vcli_rsyslog

    example% puppet module install puppetlabs/vcli_rsyslog

### Beginning with vcli_rsyslog

Using vcli_syslog is simple add the vcli_rsyslog class to any node you want to have logs forwarding to vC Log Insight.  When adding the class you will need to define the IP or hostname of your instance of vC Log Insight.

```puppet
class { 'vcli_rsyslog': server => 'vcli.example.com', }
```
