class vcli_rsyslog::client(
  $server,
) {

  class { '::rsyslog::client':
    server  => $server,
  }

  pe_rsyslog::imfile { '/var/log/pe-activemq/activemq.log': }
  pe_rsyslog::imfile { '/var/log/pe-activemq/wrapper.log': }
  pe_rsyslog::imfile { '/var/log/pe-puppetdb/puppetdb.log': }
  pe_rsyslog::imfile { '/var/log/pe-console-auth/auth.log': }
  pe_rsyslog::imfile { '/var/log/pe-console-auth/cas_client.log': }
  pe_rsyslog::imfile { '/var/log/pe-console-auth/cas.log': severity => 'info' }
  pe_rsyslog::imfile { '/var/log/pe-httpd/access.log': }
  pe_rsyslog::imfile { '/var/log/pe-httpd/error.log': severity => 'error' }
  pe_rsyslog::imfile { '/var/log/pe-httpd/other_vhosts_access.log': }
  pe_rsyslog::imfile { '/var/log/pe-httpd/puppetdashboard.access.log': }
  pe_rsyslog::imfile { '/var/log/pe-httpd/puppetdashboard.error.log': }
  pe_rsyslog::imfile { '/var/log/pe-mcollective/mcollective.log': }
  pe_rsyslog::imfile { '/var/log/pe-puppet-dashboard/certificate_manager.log': }
  pe_rsyslog::imfile { '/var/log/pe-puppet-dashboard/delayed_jog.log': }
  pe_rsyslog::imfile { '/var/log/pe-puppet-dashboard/development.log': }
  pe_rsyslog::imfile { '/var/log/pe-puppet-dashboard/mcollective_client.log': }
  pe_rsyslog::imfile { '/var/log/pe-puppet-dashboard/production.log': }
}
